Redmine - Feature #21668

Ruby 2.3 support
2016-01-08 00:55 - VVD VVD

Status: Closed
Priority: Normal

Assignee:

Category: Ruby support

Target version:

Resolution:

Due date:

% Done:

Start date:

Estimated time:

0%
0.00 hour

Description

Environment:
Redmine version
Ruby version
Rails version
Environment
Database adapter

3.2.0.stable
2.

2000
3.0-p0 (2015-12-25) [amd64-freebsdlO]

4.2.5
production
PostgreSQL

FreeBSD 10.2-p8 amd64
PostgreSQL 9.4.5

Page Redminelnstall have to be updated.

Related issues:

Related to Redmine - Defect #21673: ActionView::Template::Error: Cannot visit... Closed
Is duplicate of Redmine - Feature #22987: Ruby 2.3 support Closed
Copied to Redmine - Feature #25048: Ruby 2.4 support Closed

History

#1 - 2016-01-08 06:28 - Toshi MARUYAMA
- Tracker changed from Patch to Feature
- Subject changed from Update documentation: Redmine 3.2.0 correctly working with ruby 2.3.0 to Ruby 2.3 support

- Category changed from Documentation to Ruby support

#2 - 2016-01-08 06:28 - Toshi MARUYAMA

http://www.redmine.org/builds/index.html

#3 - 2016-01-08 06:31 - Toshi MARUYAMA
https://github.com/rails/rails/blob/4-2-stable/.travis.ymi#L 27

#4 - 2016-01-08 06:32 - Toshi MARUYAMA

https://github.com/sparklemotion/nokogiri/blob/master/.travis.ymi#L10

#5 - 2016-01-12 14:14 - Toshi MARUYAMA
- Related to Defect #21673: ActionView::Template::Error: Cannot visit ThreadSafe::Array added

#6 - 2016-12-08 04:46 - Go MAEDA
- Is duplicate of Feature #22987: Ruby 2.3 support added

#7 - 2016-12-08 04:46 - Go MAEDA

- Status changed from New to Closed

Closing this issue as a duplicate of #22987.

#8 - 2017-02-10 17:30 - VVD VVD
https://www.redmine.org/projects/redmine/wiki/RedmineInstall
http://www.redmine.org/builds/index.html
https://github.com/rails/rails/blob/4-2-stable/.travis.yml#L27
https://github.com/sparklemotion/nokogiri/blob/master/.travis.yml#L10
https://www.redmine.org/issues/22987

- Copied to Feature #25048: Ruby 2.4 support added
